Bug 23785 - Software error Can't call method "get_coins" on an undefined value at /usr/share/koha/opac/cgi-bin/opac/opac-search.pl line 692.
Summary: Software error Can't call method "get_coins" on an undefined value at /usr/sh...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-09 13:52 UTC by Dimitrios Dalagiorgos
Modified: 2020-06-04 20:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01


Attachments
Bug 23785: Fix call get_coins on undef value in opac-search.pl (1.26 KB, patch)
2019-11-11 09:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23785: Fix call get_coins on undef value in opac-search.pl (1.36 KB, patch)
2019-12-09 11:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitrios Dalagiorgos 2019-10-09 13:52:37 UTC
After creating an instance, and without adding any records to the library, trying to search for anything on OPAC, produces the following error:
Can't call method "get_coins" on an undefined value at /usr/share/koha/opac/cgi-bin/opac/opac-search.pl line 692.
Comment 1 Katrin Fischer 2019-10-09 16:56:55 UTC
I've seen this happening as well.
Comment 2 Jonathan Druart 2019-11-11 09:16:13 UTC
Created attachment 95251 [details] [review]
Bug 23785: Fix call get_coins on undef value in opac-search.pl

If the search engine index returns a record that is no longer in the DB,
an OPAC search will explode with:
  Can't call method "get_coins" on an undefined value at
  /usr/share/koha/opac/cgi-bin/opac/opac-search.pl line 692.
Comment 3 Marcel de Rooy 2019-12-09 11:57:32 UTC
Created attachment 96083 [details] [review]
Bug 23785: Fix call get_coins on undef value in opac-search.pl

If the search engine index returns a record that is no longer in the DB,
an OPAC search will explode with:
  Can't call method "get_coins" on an undefined value at
  /usr/share/koha/opac/cgi-bin/opac/opac-search.pl line 692.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2019-12-09 11:58:10 UTC
Straight thru QA
Comment 5 Martin Renvoize 2019-12-13 14:06:59 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Martin Renvoize 2019-12-13 14:07:24 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2019-12-19 22:08:17 UTC
Pushed to 19.11.01
Comment 8 Lucas Gass 2019-12-20 18:29:14 UTC
backported to 19.05.x for 19.05.06